import { REQUEST_CONTEXT } from '@angular/core';
import { makeI18NextFeature, I18NextFeatureKind, I18NEXT_INSTANCE } from 'angular-i18next';

/**
 * Feature for use when configuring `provideI18Next` to enable SSR.
 *
 * @description
 * This feature expects the Express request object to be injected as
 * `REQUEST` and will extract the `i18n` object from it.
 *
 * @publicApi
 */
function withSSR() {
    return makeI18NextFeature(I18NextFeatureKind.SSR, [
        {
            provide: I18NEXT_INSTANCE,
            useFactory: (reqCtx) => {
                return reqCtx?.i18n;
            },
            deps: [REQUEST_CONTEXT],
        },
    ]);
}

/**
 * Generated bundle index. Do not edit.
 */

export { withSSR };
//# sourceMappingURL=angular-i18next-ssr.mjs.map
