import { ModuleWithProviders } from "@angular/core";
import { FormatFunction } from "i18next";
import { I18NextModuleParams } from "./I18NextModuleParams";
import * as i0 from "@angular/core";
import * as i1 from "./pipes/i18next.pipe";
import * as i2 from "./pipes/i18next-eager.pipe";
import * as i3 from "./pipes/i18next-cap.pipe";
import * as i4 from "./pipes/i18next-format.pipe";
/**
 * @deprecated Use provideI18Next() instead. This module-based approach will be removed in a future version.
 * Example:
 * ```typescript
 * // Instead of
 * imports: [I18NextModule.forRoot()]
 *
 * // Use
 * providers: [provideI18Next()]
 * ```
 */
export declare class I18NextModule {
    /**
     * @deprecated Use provideI18Next() instead. This module-based approach will be removed in a future version.
     * Example:
     * ```typescript
     * // Instead of
     * imports: [I18NextModule.forRoot()]
     *
     * // Use
     * providers: [provideI18Next()]
     * ```
     */
    static forRoot(params?: I18NextModuleParams): ModuleWithProviders<I18NextModule>;
    static interpolationFormat(customFormat?: Function | null): FormatFunction;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18NextModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<I18NextModule, never, [typeof i1.I18NextPipe, typeof i2.I18NextEagerPipe, typeof i3.I18NextCapPipe, typeof i4.I18NextFormatPipe], [typeof i1.I18NextPipe, typeof i2.I18NextEagerPipe, typeof i3.I18NextCapPipe, typeof i4.I18NextFormatPipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<I18NextModule>;
}
