import { Provider } from "@angular/core";
/**
 * A feature for use when configuring `provideI18Next`.
 *
 * @publicApi
 */
export interface I18NextFeature<KindT extends I18NextFeatureKind> {
    ɵkind: KindT;
    ɵproviders: Provider[];
}
export declare function makeI18NextFeature<KindT extends I18NextFeatureKind>(kind: KindT, providers: Provider[]): I18NextFeature<KindT>;
/**
 * Identifies a particular kind of `HttpFeature`.
 *
 * @publicApi
 */
export declare enum I18NextFeatureKind {
    CustomErrorHandlingStrategy = 0,
    Mock = 1,
    Title = 2,
    AppInitialize = 3,
    SSR = 4,
    Forms = 5
}
