import { I18NextLoadResult, ITranslationEvents, ITranslationService } from 'angular-i18next';
import type { Callback, FormatFunction, i18n, TFunction } from 'i18next';
import * as i18next from 'i18next';
import * as i0 from "@angular/core";
export declare class MockI18NextService implements ITranslationService {
    private i18next;
    get isInitialized(): boolean;
    get modules(): i18next.Modules;
    get services(): i18next.Services;
    get store(): i18next.ResourceStore;
    get resolvedLanguage(): string | undefined;
    constructor();
    t: import("jest-mock").Mock<(key: string | string[], optionsOrDefault?: string | i18next.TOptions, options?: i18next.TOptions) => i18next.TFunctionReturn<i18next.Namespace, string | string[], (i18next.TOptions & {
        defaultValue: string;
    })>>;
    format: FormatFunction;
    getFixedT(lng: string | readonly string[], ns?: string | readonly string[], keyPrefix?: string): TFunction;
    getFixedT(lng: null, ns: string | readonly string[] | null, keyPrefix?: string): TFunction;
    loadLanguages(lngs: string | readonly string[], callback?: Callback): Promise<void>;
    loadResources(callback?: (err: any) => void): void;
    getDataByLanguage(lng: string): {
        translation: {
            [key: string]: string;
        };
    } | undefined;
    reloadResources(lngs?: string | readonly string[], ns?: string | readonly string[], callback?: () => void): Promise<void>;
    reloadResources(lngs: null, ns: string | readonly string[], callback?: () => void): Promise<void>;
    addResource(lng: string, ns: string, key: string, value: string, options?: {
        keySeparator?: string | undefined;
        silent?: boolean | undefined;
    }): i18n;
    addResources(lng: string, ns: string, resources: any): i18n;
    addResourceBundle(lng: string, ns: string, resources: any, deep?: boolean, overwrite?: boolean): i18n;
    removeResourceBundle(lng: string, ns: string): i18n;
    events: ITranslationEvents;
    language: string;
    languages: string[];
    get options(): any;
    use(plugin: any): ITranslationService;
    init(options?: any): Promise<I18NextLoadResult>;
    changeLanguage(lng: string): Promise<any>;
    loadNamespaces(namespaces: string[]): Promise<any>;
    exists(key: any, options: any): boolean;
    setDefaultNamespace(ns: string): void;
    dir(lng: string): string;
    getResource(lng: any, ns: any, key: any, options: any): null;
    hasResourceBundle(lng: any, ns: any): boolean;
    getResourceBundle(lng: any, ns: any): null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockI18NextService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MockI18NextService>;
}
