import { I18NextFeature, I18NextFeatureKind, I18NextLoadResult } from 'angular-i18next';
/**
 * Initializes i18next with mock settings for testing
 */
export declare function mockAppInit(): Promise<I18NextLoadResult>;
export declare const provideI18NextMockAppInitializer: () => import("@angular/core").EnvironmentProviders;
/**
 * Provides a mock implementation of I18NEXT_SERVICE for testing purposes.
 * Also initializes i18next with mock settings.
 *
 * @returns An I18NextFeature that configures the service to use MockI18NextService
 *
 * Example:
 * ```typescript
 * providers: [
 *   provideI18Next(withMock())
 * ]
 * ```
 */
export declare function withMock(): I18NextFeature<I18NextFeatureKind.Mock>;
